package icslog

import "sync"

type LogLevel struct {
	currentLevel interface{}
	m            sync.Mutex
}

func (l *LogLevel) SetLogLevel(level interface{}) {
	l.m.Lock()
	defer l.m.Unlock()

	l.currentLevel = level
}

func (l *LogLevel) GetLogLevel() (level interface{}) {
	l.m.Lock()
	defer l.m.Unlock()

	return l.currentLevel
}
